LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XTextFieldsSupplier Interface Referencepublished

makes it possible to access the text fields used in this context (e.g. More...

`import"XTextFieldsSupplier.idl";`

Inheritance diagram for XTextFieldsSupplier:

## Public Member Functions
com::sun::star::container::XEnumerationAccess | getTextFields ()
com::sun::star::container::XNameAccess | getTextFieldMasters ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to access the text fields used in this context (e.g.

this document).

See also
  com::sun::star::sheet::SpreadsheetDocument
  TextDocument

## Member Function Documentation

## ◆ getTextFieldMasters()

com::sun::star::container::XNameAccess getTextFieldMasters | ( |  | ) |

Returns
  the collection of TextFieldMaster instances which are defined in this context (i.e. this document).

## ◆ getTextFields()

com::sun::star::container::XEnumerationAccess getTextFields | ( |  | ) |

Returns
  the collection of TextField instances in this context (i.e. this document).

The documentation for this interface was generated from the following file:

- com/sun/star/text/XTextFieldsSupplier.idl